Skip to main content
`Ctrl`+`K`

# PetscConvEstMonitorDefault

Monitors the convergence estimation loop

## Synopsis

    #include "petscconvest.h"
    PetscErrorCode PetscConvEstMonitorDefault(PetscConvEst ce, PetscInt r)

Collective

## Input Parameters

- ce - The `PetscConvEst` object

- r - The refinement level

## Options Database Key

- -convest_monitor - Activate the monitor

## See Also

`PetscConvEst`, `PetscConvEstCreate()`, `PetscConvEstGetConvRate()`, `SNESSolve()`, `TSSolve()`

## Level

intermediate

## Location

src/snes/utils/convest.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages